cURL
curl --request POST \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/risk_model \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"risk_covariance": {
"factors": [
"<string>"
],
"matrix": [
[
"<string>"
]
]
},
"risk_loadings": {
"factors": [
"<string>"
],
"loadings": {}
},
"risk_idiosyncratic": [
{
"asset_row": "<string>",
"asset_col": "<string>",
"variance": "<string>"
}
]
}
'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/risk_model"
payload = {
"name": "<string>",
"risk_covariance": {
"factors": ["<string>"],
"matrix": [["<string>"]]
},
"risk_loadings": {
"factors": ["<string>"],
"loadings": {}
},
"risk_idiosyncratic": [
{
"asset_row": "<string>",
"asset_col": "<string>",
"variance": "<string>"
}
]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
risk_covariance: {factors: ['<string>'], matrix: [['<string>']]},
risk_loadings: {factors: ['<string>'], loadings: {}},
risk_idiosyncratic: [{asset_row: '<string>', asset_col: '<string>', variance: '<string>'}]
})
};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/risk_model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"risk_covariance": {
"factors": [
"<string>"
],
"matrix": [
[
"<string>"
]
]
},
"risk_loadings": {
"factors": [
"<string>"
],
"loadings": {}
},
"risk_idiosyncratic": [
{
"asset_row": "<string>",
"asset_col": "<string>",
"variance": "<string>"
}
]
}Organization
Create Organization Risk Model
POST
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
risk_model
cURL
Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I